FROM python:3.9.5-alpine

ENV PYTHONUNBUFFERED 1

RUN apk update
# psycopg2 dependencies
RUN apk add --virtual build-deps gcc python3-dev musl-dev
RUN apk add postgresql-dev
# https://docs.djangoproject.com/en/dev/ref/django-admin/#dbshell
RUN apk add postgresql-client

# Requirements are installed here to ensure they will be cached.
COPY ./requirements /requirements
RUN pip install -r /requirements/local.txt

COPY ./compose/production/django/entrypoint /entrypoint
RUN sed -i 's/\r//' /entrypoint
RUN chmod +x /entrypoint

COPY ./compose/local/django/start /start
RUN sed -i 's/\r//' /start
RUN chmod +x /start

WORKDIR /app

ENTRYPOINT ["/entrypoint"]
